package com.huimv.huimvpigfarmlocaldevice.controller;

import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.huimvpigfarmlocaldevice.dao.entity.FarmDeviceEntity;
import com.huimv.huimvpigfarmlocaldevice.dao.repo.FarmDeviceRepo;
import com.huimv.huimvpigfarmlocaldevice.service.IDevice;
import com.huimv.huimvpigfarmlocaldevice.utils.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@CrossOrigin
@RestController
@RequestMapping(value = "/farm/device")
@Slf4j
public class DeviceController {
    @Autowired
    private IDevice iDevice;
    @Autowired
    private DateUtil dateUtil;

    //新建设备信息
    @RequestMapping(value = "/newDevice",method = RequestMethod.POST)
    public Result saveDevice(@RequestParam(value = "deviceName",required = true) String deviceName,@RequestParam(value = "deviceCode",required = true) String deviceCode,@RequestParam(value = "deviceType",required = true) String deviceType,
                             @RequestParam(value = "factory",required = true) String factory,@RequestParam(value = "worker",required = true) String worker,@RequestParam(value = "mainParams",required = true) String mainParams,
                             @RequestParam(value = "state",required = true) Integer state, @RequestParam(value = "record",required = true) String record, @RequestParam(value = "farmId",required = true) Integer farmId){
        //
        return iDevice.newDevice(deviceName,deviceCode,deviceType,factory,worker,mainParams,state,record,farmId);
    }

    //编辑设备信息
    @RequestMapping(value = "/editDevice",method = RequestMethod.POST)
    public Result editDevice(@RequestParam(value = "deviceName",required = true) String deviceName,@RequestParam(value = "deviceCode",required = true) String deviceCode,@RequestParam(value = "deviceType",required = true) String deviceType,
                             @RequestParam(value = "factory",required = true) String factory,@RequestParam(value = "worker",required = true) String worker,@RequestParam(value = "mainParams",required = true) String mainParams,
                             @RequestParam(value = "state",required = true) Integer state, @RequestParam(value = "record",required = true) String record, @RequestParam(value = "farmId",required = true) Integer farmId,
                             @RequestParam(value = "id",required = true) Integer id){
            //
        return iDevice.editDevice(deviceName,deviceCode,deviceType,factory,worker,mainParams,state,record,farmId,id);
    }

    //删除设备信息
    @RequestMapping(value = "/removeDevice",method = RequestMethod.POST)
    public Result removeDevice(@RequestParam(value = "ids",required = true) String ids,@RequestParam(value = "farmId",required = true) Integer farmId){
        //
        return iDevice.removeDevice(ids,farmId);
    }

    //列表展示设备
    @RequestMapping(value = "/listDevice",method = RequestMethod.GET)
    public Result listDevice(@RequestParam(value = "deviceName",required = false) String deviceName,@RequestParam(value = "deviceCode",required = false) String deviceCode,@RequestParam(value = "deviceType",required = false) String deviceType,
                             @RequestParam(value = "factory",required = false) String factory,@RequestParam(value = "worker",required = false) String worker,
                             @RequestParam(value = "state",required = false) Integer state, @RequestParam(value = "farmId",required = true) Integer farmId,
                             @RequestParam(value = "startDate",required = false) String startDate,@RequestParam(value = "endDate",required = false) String endDate,
                             @RequestParam(value = "pageNo",required = true) Integer pageNo, @RequestParam(value = "pageSize",required = true) Integer pageSize) throws ParseException {
        //
        return iDevice.listDevice(deviceName,deviceCode,deviceType,factory,worker,state,farmId,startDate,endDate,pageNo,pageSize);
    }

    //计算设备总数，设备故障数，故障率
    @RequestMapping(value = "/getCountDeviceFailureRate",method = RequestMethod.GET)
    public Result getCountDeviceFailureRate(@RequestParam(value = "farmId",required = true) Integer farmId,@RequestParam(value = "bit",required = true) Integer bit){
        //
        return iDevice.getCountDeviceFailureRate(farmId,bit);
    }

}
